Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.impl.model
Class OWLDataFactoryImpl

    java.lang.Object
      |
      +--org.semanticweb.owl.impl.model.OWLDataFactoryImpl

All Implemented Interfaces:
  OWLDataFactory

public class OWLDataFactoryImpl
extends Object
implements OWLDataFactory

Provides a single access point for the creation of objects within an ontology.

Version:
  $Id: OWLDataFactoryImpl.java,v 1.2 2003/11/20 12:58:10 sean_bechhofer Exp $

Method Summary
`static OWLDataFactoryImpl` | `getInstance(OWLConnection con)`
`OWLAnd` | `getOWLAnd(Set set)`
`OWLAnnotationInstance` | `getOWLAnnotationInstance(OWLObject subject, OWLAnnotationProperty property, Object content)`
`OWLAnnotationProperty` | `getOWLAnnotationProperty(URI uri)`
`OWLClass` | `getOWLClass(URI uri)`
`OWLDataValue` | `getOWLConcreteData(URI uri, String lang, Object value)`
`OWLDataType` | `getOWLConcreteDataType(URI uri)`
`OWLConnection` | `getOWLConnection()`
`OWLDataAllRestriction` | `getOWLDataAllRestriction(OWLDataProperty property, OWLDataRange dataType)`
`OWLDataCardinalityRestriction` | `getOWLDataCardinalityAtLeastRestriction(OWLDataProperty property, int atLeast)`
`OWLDataCardinalityRestriction` | `getOWLDataCardinalityAtMostRestriction(OWLDataProperty property, int atMost)`
`OWLDataCardinalityRestriction` | `getOWLDataCardinalityRestriction(OWLDataProperty property, int atLeast, int atMost)`
`OWLDataEnumeration` | `getOWLDataEnumeration(Set set)`
`OWLDataProperty` | `getOWLDataProperty(URI uri)`
`OWLDataPropertyInstance` | `getOWLDataPropertyInstance(OWLIndividual subject, OWLDataProperty property, OWLDataValue object)`
`OWLDataSomeRestriction` | `getOWLDataSomeRestriction(OWLDataProperty property, OWLDataRange dataType)`
`OWLDataValueRestriction` | `getOWLDataValueRestriction(OWLDataProperty property, OWLDataValue value)`
`OWLDifferentIndividualsAxiom` | `getOWLDifferentIndividualsAxiom(Set set)`
`OWLDisjointClassesAxiom` | `getOWLDisjointClassesAxiom(Set set)`
`OWLEnumeration` | `getOWLEnumeration(Set set)`
`OWLEquivalentClassesAxiom` | `getOWLEquivalentClassesAxiom(Set set)`
`OWLEquivalentPropertiesAxiom` | `getOWLEquivalentPropertiesAxiom(Set set)`
`OWLFrame` | `getOWLFrame(Set superClasses, Set restrictions)`
`OWLIndividual` | `getOWLIndividual(URI uri)`
`OWLNot` | `getOWLNot(OWLDescription operand)`
`OWLClass` | `getOWLNothing()`
`OWLObjectAllRestriction` | `getOWLObjectAllRestriction(OWLObjectProperty property, OWLDescription description)`
`OWLObjectCardinalityRestriction` | `getOWLObjectCardinalityAtLeastRestriction(OWLObjectProperty property, int atLeast)`
`OWLObjectCardinalityRestriction` | `getOWLObjectCardinalityAtMostRestriction(OWLObjectProperty property, int atMost)`
`OWLObjectCardinalityRestriction` | `getOWLObjectCardinalityRestriction(OWLObjectProperty property, int atLeast, int atMost)`
`OWLObjectProperty` | `getOWLObjectProperty(URI uri)`
`OWLObjectPropertyInstance` | `getOWLObjectPropertyInstance(OWLIndividual subject, OWLObjectProperty property, OWLIndividual object)` Method getOWLOntology.
`OWLObjectSomeRestriction` | `getOWLObjectSomeRestriction(OWLObjectProperty property, OWLDescription description)`
`OWLObjectValueRestriction` | `getOWLObjectValueRestriction(OWLObjectProperty property, OWLIndividual individual)`
`OWLOntology` | `getOWLOntology(URI logicalURI, URI physicalURI)`
`OWLOr` | `getOWLOr(Set set)`
`OWLSameIndividualsAxiom` | `getOWLSameIndividualsAxiom(Set set)`
`OWLSubClassAxiom` | `getOWLSubClassAxiom(OWLDescription subClass, OWLDescription superClass)`
`OWLSubPropertyAxiom` | `getOWLSubPropertyAxiom(OWLProperty subProperty, OWLProperty superProperty)`
`OWLClass` | `getOWLThing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static OWLDataFactoryImpl getInstance(OWLConnection con)

### getOWLAnd

    public OWLAnd getOWLAnd(Set set)

  Specified by:
    `getOWLAnd` in interface `OWLDataFactory`

### getOWLConcreteData

    public OWLDataValue getOWLConcreteData(URI uri,
                                           String lang,
                                           Object value)

  Specified by:
    `getOWLConcreteData` in interface `OWLDataFactory`

### getOWLConcreteDataType

    public OWLDataType getOWLConcreteDataType(URI uri)

  Specified by:
    `getOWLConcreteDataType` in interface `OWLDataFactory`

### getOWLDataEnumeration

    public OWLDataEnumeration getOWLDataEnumeration(Set set)

  Specified by:
    `getOWLDataEnumeration` in interface `OWLDataFactory`

### getOWLDataAllRestriction

    public OWLDataAllRestriction getOWLDataAllRestriction(OWLDataProperty property,
                                                          OWLDataRange dataType)

  Specified by:
    `getOWLDataAllRestriction` in interface `OWLDataFactory`

### getOWLDataCardinalityRestriction

    public OWLDataCardinalityRestriction getOWLDataCardinalityRestriction(OWLDataProperty property,
                                                                          int atLeast,
                                                                          int atMost)

  Specified by:
    `getOWLDataCardinalityRestriction` in interface `OWLDataFactory`

### getOWLDataCardinalityAtLeastRestriction

    public OWLDataCardinalityRestriction getOWLDataCardinalityAtLeastRestriction(OWLDataProperty property,
                                                                                 int atLeast)

  Specified by:
    `getOWLDataCardinalityAtLeastRestriction` in interface `OWLDataFactory`

### getOWLDataCardinalityAtMostRestriction

    public OWLDataCardinalityRestriction getOWLDataCardinalityAtMostRestriction(OWLDataProperty property,
                                                                                int atMost)

  Specified by:
    `getOWLDataCardinalityAtMostRestriction` in interface `OWLDataFactory`

### getOWLDataProperty

    public OWLDataProperty getOWLDataProperty(URI uri)

  Specified by:
    `getOWLDataProperty` in interface `OWLDataFactory`

### getOWLDataSomeRestriction

    public OWLDataSomeRestriction getOWLDataSomeRestriction(OWLDataProperty property,
                                                            OWLDataRange dataType)

  Specified by:
    `getOWLDataSomeRestriction` in interface `OWLDataFactory`

### getOWLDataValueRestriction

    public OWLDataValueRestriction getOWLDataValueRestriction(OWLDataProperty property,
                                                              OWLDataValue value)

  Specified by:
    `getOWLDataValueRestriction` in interface `OWLDataFactory`

### getOWLDifferentIndividualsAxiom

    public OWLDifferentIndividualsAxiom getOWLDifferentIndividualsAxiom(Set set)

  Specified by:
    `getOWLDifferentIndividualsAxiom` in interface `OWLDataFactory`

### getOWLDisjointClassesAxiom

    public OWLDisjointClassesAxiom getOWLDisjointClassesAxiom(Set set)

  Specified by:
    `getOWLDisjointClassesAxiom` in interface `OWLDataFactory`

### getOWLEquivalentClassesAxiom

    public OWLEquivalentClassesAxiom getOWLEquivalentClassesAxiom(Set set)

  Specified by:
    `getOWLEquivalentClassesAxiom` in interface `OWLDataFactory`

### getOWLEquivalentPropertiesAxiom

    public OWLEquivalentPropertiesAxiom getOWLEquivalentPropertiesAxiom(Set set)

  Specified by:
    `getOWLEquivalentPropertiesAxiom` in interface `OWLDataFactory`

### getOWLFrame

    public OWLFrame getOWLFrame(Set superClasses,
                                Set restrictions)

  Specified by:
    `getOWLFrame` in interface `OWLDataFactory`

### getOWLIndividual

    public OWLIndividual getOWLIndividual(URI uri)

  Specified by:
    `getOWLIndividual` in interface `OWLDataFactory`

### getOWLObjectAllRestriction

    public OWLObjectAllRestriction getOWLObjectAllRestriction(OWLObjectProperty property,
                                                              OWLDescription description)

  Specified by:
    `getOWLObjectAllRestriction` in interface `OWLDataFactory`

### getOWLObjectCardinalityRestriction

    public OWLObjectCardinalityRestriction getOWLObjectCardinalityRestriction(OWLObjectProperty property,
                                                                              int atLeast,
                                                                              int atMost)

  Specified by:
    `getOWLObjectCardinalityRestriction` in interface `OWLDataFactory`

### getOWLObjectCardinalityAtLeastRestriction

    public OWLObjectCardinalityRestriction getOWLObjectCardinalityAtLeastRestriction(OWLObjectProperty property,
                                                                                     int atLeast)

  Specified by:
    `getOWLObjectCardinalityAtLeastRestriction` in interface `OWLDataFactory`

### getOWLObjectCardinalityAtMostRestriction

    public OWLObjectCardinalityRestriction getOWLObjectCardinalityAtMostRestriction(OWLObjectProperty property,
                                                                                    int atMost)

  Specified by:
    `getOWLObjectCardinalityAtMostRestriction` in interface `OWLDataFactory`

### getOWLAnnotationProperty

    public OWLAnnotationProperty getOWLAnnotationProperty(URI uri)

  Specified by:
    `getOWLAnnotationProperty` in interface `OWLDataFactory`

### getOWLObjectProperty

    public OWLObjectProperty getOWLObjectProperty(URI uri)

  Specified by:
    `getOWLObjectProperty` in interface `OWLDataFactory`

### getOWLObjectSomeRestriction

    public OWLObjectSomeRestriction getOWLObjectSomeRestriction(OWLObjectProperty property,
                                                                OWLDescription description)

  Specified by:
    `getOWLObjectSomeRestriction` in interface `OWLDataFactory`

### getOWLObjectValueRestriction

    public OWLObjectValueRestriction getOWLObjectValueRestriction(OWLObjectProperty property,
                                                                  OWLIndividual individual)

  Specified by:
    `getOWLObjectValueRestriction` in interface `OWLDataFactory`

### getOWLNot

    public OWLNot getOWLNot(OWLDescription operand)

  Specified by:
    `getOWLNot` in interface `OWLDataFactory`

### getOWLNothing

    public OWLClass getOWLNothing()

  Specified by:
    `getOWLNothing` in interface `OWLDataFactory`

### getOWLOntology

    public OWLOntology getOWLOntology(URI logicalURI,
                                      URI physicalURI)
                               throws OWLException

  Specified by:
    `getOWLOntology` in interface `OWLDataFactory`
    `OWLException`

### getOWLOr

    public OWLOr getOWLOr(Set set)

  Specified by:
    `getOWLOr` in interface `OWLDataFactory`

### getOWLClass

    public OWLClass getOWLClass(URI uri)

  Specified by:
    `getOWLClass` in interface `OWLDataFactory`

### getOWLEnumeration

    public OWLEnumeration getOWLEnumeration(Set set)

  Specified by:
    `getOWLEnumeration` in interface `OWLDataFactory`

### getOWLSameIndividualsAxiom

    public OWLSameIndividualsAxiom getOWLSameIndividualsAxiom(Set set)

  Specified by:
    `getOWLSameIndividualsAxiom` in interface `OWLDataFactory`

### getOWLSubClassAxiom

    public OWLSubClassAxiom getOWLSubClassAxiom(OWLDescription subClass,
                                                OWLDescription superClass)

  Specified by:
    `getOWLSubClassAxiom` in interface `OWLDataFactory`

### getOWLSubPropertyAxiom

    public OWLSubPropertyAxiom getOWLSubPropertyAxiom(OWLProperty subProperty,
                                                      OWLProperty superProperty)

  Specified by:
    `getOWLSubPropertyAxiom` in interface `OWLDataFactory`

### getOWLThing

    public OWLClass getOWLThing()

  Specified by:
    `getOWLThing` in interface `OWLDataFactory`

### getOWLObjectPropertyInstance

    public OWLObjectPropertyInstance getOWLObjectPropertyInstance(OWLIndividual subject,
                                                                  OWLObjectProperty property,
                                                                  OWLIndividual object)
                                                           throws OWLException

  Description copied from interface: `OWLDataFactory`
  Method getOWLOntology.

  Specified by:
    `getOWLObjectPropertyInstance` in interface `OWLDataFactory`
  Returns:
    OWLOntology
    `OWLException`

### getOWLAnnotationInstance

    public OWLAnnotationInstance getOWLAnnotationInstance(OWLObject subject,
                                                          OWLAnnotationProperty property,
                                                          Object content)
                                                   throws OWLException

  Specified by:
    `getOWLAnnotationInstance` in interface `OWLDataFactory`
    `OWLException`

### getOWLDataPropertyInstance

    public OWLDataPropertyInstance getOWLDataPropertyInstance(OWLIndividual subject,
                                                              OWLDataProperty property,
                                                              OWLDataValue object)
                                                       throws OWLException

  Specified by:
    `getOWLDataPropertyInstance` in interface `OWLDataFactory`
    `OWLException`

### getOWLConnection

    public OWLConnection getOWLConnection()

  Specified by:
    `getOWLConnection` in interface `OWLDataFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb